April 2014 Security Updates

In response to recent security upgrades, the Duke WordPress team will be making an upgrade to the service outside of our regularly-scheduled quarterly maintenance windows.

The team is currently testing the latest WordPress core upgrade (3.8.3), as well as all plugins and themes that have been updated since our March 2014 maintenance window (this list does include the Jetpack plugin). We plan to make the updates system-wide later this week (week of 4/14/14). We do not expect a significant interruption of the Sites@Duke service during this upgrade.

Additionally, the Duke OIT Security and Systems teams have been working to secure all OIT servers from potential vulnerabilities. There is nothing you will need to do at this time to ensure your Sites@Duke site remains secure.


This entry was posted on Monday, April 14th, 2014 at 2:40 pm and is filed under News. You can follow any responses to this entry through the RSS 2.0 feed. Both comments and pings are currently closed.

Comments are closed.